[arch-commits] Commit in twisted/repos (6 files)

Felix Yan fyan at archlinux.org
Wed Sep 17 14:08:19 UTC 2014


    Date: Wednesday, September 17, 2014 @ 16:08:19
  Author: fyan
Revision: 221844

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  twisted/repos/extra-i686/PKGBUILD
    (from rev 221843, twisted/trunk/PKGBUILD)
  twisted/repos/extra-x86_64/PKGBUILD
    (from rev 221843, twisted/trunk/PKGBUILD)
Deleted:
  twisted/repos/extra-i686/PKGBUILD
  twisted/repos/extra-i686/python2-twisted.install
  twisted/repos/extra-x86_64/PKGBUILD
  twisted/repos/extra-x86_64/python2-twisted.install

--------------------------------------+
 /PKGBUILD                            |  146 +++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD                  |   72 ----------------
 extra-i686/python2-twisted.install   |    3 
 extra-x86_64/PKGBUILD                |   72 ----------------
 extra-x86_64/python2-twisted.install |    3 
 5 files changed, 146 insertions(+), 150 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2014-09-17 14:07:43 UTC (rev 221843)
+++ extra-i686/PKGBUILD	2014-09-17 14:08:19 UTC (rev 221844)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer : Ionut Biru <ibiru at archlinux.org>
-# Contributor: Juergen Hoetzel <juergen at archlinux.org>
-# Contributor:  Douglas Soares de Andrade <douglas at archlinux.org>
-
-pkgbase=twisted
-pkgname=(python-twisted python2-twisted)
-pkgver=14.0.0
-pkgrel=1
-pkgdesc="Asynchronous networking framework written in Python"
-arch=('i686' 'x86_64')
-url="http://twistedmatrix.com/"
-license=('MIT')
-makedepends=('python-crypto' 'python2-crypto' 'python-zope-interface' 'python2-zope-interface'
-             'python-setuptools' 'python2-setuptools' 'python-service-identity' 'python2-service-identity')
-source=("http://twistedmatrix.com/Releases/Twisted/${pkgver%.*}/Twisted-$pkgver.tar.bz2")
-sha1sums=('a90fae98072f8e28b9459875ce9b77f5524bbc48')
-
-prepare() {
-  cp -a "Twisted-$pkgver"{,-py2}
-
-  cd "Twisted-$pkgver-py2"
-  sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
-    twisted/python/test/pullpipe.py \
-    twisted/mail/test/pop3testserver.py \
-    twisted/trial/test/scripttest.py
-}
-
-build() {
-  cd "$srcdir/Twisted-$pkgver"
-  python3 setup.py build
-
-  cd "$srcdir/Twisted-$pkgver-py2"
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir/Twisted-$pkgver"
-  #python bin/trial twisted
-
-  cd "$srcdir/Twisted-$pkgver-py2"
-  python2 bin/trial twisted || warning "Tests failed"
-}
-
-package_python-twisted() {
-  depends=('python-crypto' 'python-zope-interface')
-  optdepends=('python-pyopenssl'
-              'python-service-identity: for TLS client hostname verification'
-              'python-pyasn1: for using conch'
-              'tk: for using tkconch')
-
-  cd "Twisted-$pkgver"
-  python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
-
-package_python2-twisted() {
-  depends=('python2-crypto' 'python2-zope-interface')
-  optdepends=('python2-pyopenssl'
-              'python2-service-identity: for TLS client hostname verification'
-              'python2-soappy: for twisted.web.soap'
-              'python2-pyasn1: for using conch'
-              'pygtk: for using manhole'
-              'tk: for using tkconch')
-  provides=("twisted=$pkgver")
-  conflicts=('twisted<14.0.0')
-  replaces=('twisted<14.0.0')
-
-  cd "Twisted-$pkgver-py2"
-  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}

Copied: twisted/repos/extra-i686/PKGBUILD (from rev 221843, twisted/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2014-09-17 14:08:19 UTC (rev 221844)
@@ -0,0 +1,73 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor:  Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgbase=twisted
+pkgname=(python-twisted python2-twisted)
+pkgver=14.0.1
+pkgrel=1
+pkgdesc="Asynchronous networking framework written in Python"
+arch=('i686' 'x86_64')
+url="http://twistedmatrix.com/"
+license=('MIT')
+makedepends=('python-crypto' 'python2-crypto' 'python-zope-interface' 'python2-zope-interface'
+             'python-setuptools' 'python2-setuptools' 'python-service-identity' 'python2-service-identity')
+source=("http://twistedmatrix.com/Releases/Twisted/${pkgver%.*}/Twisted-$pkgver.tar.bz2")
+sha1sums=('4d3c0188f073136212ac55071bce12c65787da70')
+
+prepare() {
+  cp -a "Twisted-$pkgver"{,-py2}
+
+  cd "Twisted-$pkgver-py2"
+  sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
+    twisted/python/test/pullpipe.py \
+    twisted/mail/test/pop3testserver.py \
+    twisted/trial/test/scripttest.py
+}
+
+build() {
+  cd "$srcdir/Twisted-$pkgver"
+  python3 setup.py build
+
+  cd "$srcdir/Twisted-$pkgver-py2"
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir/Twisted-$pkgver"
+  # python bin/trial twisted
+
+  cd "$srcdir/Twisted-$pkgver-py2"
+  python2 bin/trial twisted || warning "Tests failed"
+}
+
+package_python-twisted() {
+  depends=('python-crypto' 'python-zope-interface')
+  optdepends=('python-pyopenssl'
+              'python-service-identity: for TLS client hostname verification'
+              'python-pyasn1: for using conch'
+              'tk: for using tkconch')
+
+  cd "Twisted-$pkgver"
+  python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+package_python2-twisted() {
+  depends=('python2-crypto' 'python2-zope-interface')
+  optdepends=('python2-pyopenssl'
+              'python2-service-identity: for TLS client hostname verification'
+              'python2-soappy: for twisted.web.soap'
+              'python2-pyasn1: for using conch'
+              'pygtk: for using manhole'
+              'tk: for using tkconch')
+  provides=("twisted=$pkgver")
+  conflicts=('twisted<14.0.0')
+  replaces=('twisted<14.0.0')
+
+  cd "Twisted-$pkgver-py2"
+  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}

Deleted: extra-i686/python2-twisted.install
===================================================================
--- extra-i686/python2-twisted.install	2014-09-17 14:07:43 UTC (rev 221843)
+++ extra-i686/python2-twisted.install	2014-09-17 14:08:19 UTC (rev 221844)
@@ -1,3 +0,0 @@
-pre_install() {
-  rm -f /usr/lib/python2.7/site-packages/twisted/plugins/dropin.cache
-}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2014-09-17 14:07:43 UTC (rev 221843)
+++ extra-x86_64/PKGBUILD	2014-09-17 14:08:19 UTC (rev 221844)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer : Ionut Biru <ibiru at archlinux.org>
-# Contributor: Juergen Hoetzel <juergen at archlinux.org>
-# Contributor:  Douglas Soares de Andrade <douglas at archlinux.org>
-
-pkgbase=twisted
-pkgname=(python-twisted python2-twisted)
-pkgver=14.0.0
-pkgrel=1
-pkgdesc="Asynchronous networking framework written in Python"
-arch=('i686' 'x86_64')
-url="http://twistedmatrix.com/"
-license=('MIT')
-makedepends=('python-crypto' 'python2-crypto' 'python-zope-interface' 'python2-zope-interface'
-             'python-setuptools' 'python2-setuptools' 'python-service-identity' 'python2-service-identity')
-source=("http://twistedmatrix.com/Releases/Twisted/${pkgver%.*}/Twisted-$pkgver.tar.bz2")
-sha1sums=('a90fae98072f8e28b9459875ce9b77f5524bbc48')
-
-prepare() {
-  cp -a "Twisted-$pkgver"{,-py2}
-
-  cd "Twisted-$pkgver-py2"
-  sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
-    twisted/python/test/pullpipe.py \
-    twisted/mail/test/pop3testserver.py \
-    twisted/trial/test/scripttest.py
-}
-
-build() {
-  cd "$srcdir/Twisted-$pkgver"
-  python3 setup.py build
-
-  cd "$srcdir/Twisted-$pkgver-py2"
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir/Twisted-$pkgver"
-  #python bin/trial twisted
-
-  cd "$srcdir/Twisted-$pkgver-py2"
-  python2 bin/trial twisted || warning "Tests failed"
-}
-
-package_python-twisted() {
-  depends=('python-crypto' 'python-zope-interface')
-  optdepends=('python-pyopenssl'
-              'python-service-identity: for TLS client hostname verification'
-              'python-pyasn1: for using conch'
-              'tk: for using tkconch')
-
-  cd "Twisted-$pkgver"
-  python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
-
-package_python2-twisted() {
-  depends=('python2-crypto' 'python2-zope-interface')
-  optdepends=('python2-pyopenssl'
-              'python2-service-identity: for TLS client hostname verification'
-              'python2-soappy: for twisted.web.soap'
-              'python2-pyasn1: for using conch'
-              'pygtk: for using manhole'
-              'tk: for using tkconch')
-  provides=("twisted=$pkgver")
-  conflicts=('twisted<14.0.0')
-  replaces=('twisted<14.0.0')
-
-  cd "Twisted-$pkgver-py2"
-  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}

Copied: twisted/repos/extra-x86_64/PKGBUILD (from rev 221843, twisted/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2014-09-17 14:08:19 UTC (rev 221844)
@@ -0,0 +1,73 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor:  Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgbase=twisted
+pkgname=(python-twisted python2-twisted)
+pkgver=14.0.1
+pkgrel=1
+pkgdesc="Asynchronous networking framework written in Python"
+arch=('i686' 'x86_64')
+url="http://twistedmatrix.com/"
+license=('MIT')
+makedepends=('python-crypto' 'python2-crypto' 'python-zope-interface' 'python2-zope-interface'
+             'python-setuptools' 'python2-setuptools' 'python-service-identity' 'python2-service-identity')
+source=("http://twistedmatrix.com/Releases/Twisted/${pkgver%.*}/Twisted-$pkgver.tar.bz2")
+sha1sums=('4d3c0188f073136212ac55071bce12c65787da70')
+
+prepare() {
+  cp -a "Twisted-$pkgver"{,-py2}
+
+  cd "Twisted-$pkgver-py2"
+  sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
+    twisted/python/test/pullpipe.py \
+    twisted/mail/test/pop3testserver.py \
+    twisted/trial/test/scripttest.py
+}
+
+build() {
+  cd "$srcdir/Twisted-$pkgver"
+  python3 setup.py build
+
+  cd "$srcdir/Twisted-$pkgver-py2"
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir/Twisted-$pkgver"
+  # python bin/trial twisted
+
+  cd "$srcdir/Twisted-$pkgver-py2"
+  python2 bin/trial twisted || warning "Tests failed"
+}
+
+package_python-twisted() {
+  depends=('python-crypto' 'python-zope-interface')
+  optdepends=('python-pyopenssl'
+              'python-service-identity: for TLS client hostname verification'
+              'python-pyasn1: for using conch'
+              'tk: for using tkconch')
+
+  cd "Twisted-$pkgver"
+  python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+package_python2-twisted() {
+  depends=('python2-crypto' 'python2-zope-interface')
+  optdepends=('python2-pyopenssl'
+              'python2-service-identity: for TLS client hostname verification'
+              'python2-soappy: for twisted.web.soap'
+              'python2-pyasn1: for using conch'
+              'pygtk: for using manhole'
+              'tk: for using tkconch')
+  provides=("twisted=$pkgver")
+  conflicts=('twisted<14.0.0')
+  replaces=('twisted<14.0.0')
+
+  cd "Twisted-$pkgver-py2"
+  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}

Deleted: extra-x86_64/python2-twisted.install
===================================================================
--- extra-x86_64/python2-twisted.install	2014-09-17 14:07:43 UTC (rev 221843)
+++ extra-x86_64/python2-twisted.install	2014-09-17 14:08:19 UTC (rev 221844)
@@ -1,3 +0,0 @@
-pre_install() {
-  rm -f /usr/lib/python2.7/site-packages/twisted/plugins/dropin.cache
-}




More information about the arch-commits mailing list